#pragma once

#include "ClientSocket.h"

class CLan
{
private:
	CClientSocket m_Socket;										// LANソケット
	char m_TransferBuffer[65536];								// 転送バッファ

public:
	CString m_ReceiveData;										// 受信データ

public:
	CLan();
	virtual ~CLan();
	BOOL OpenInterface(CString HostAddress, UINT HostPort);
	void CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
	CString GetLastErrorMessage(DWORD MessageId);
};
